#ifndef _FRAMES_SOURCE_AVI_H
#define _FRAMES_SOURCE_AVI_H

class frames_source_avi : public frames_source
{
public:
    frames_source_avi(char* filename);
    virtual ~frames_source_avi();

    // load frame into given framebuffer
    virtual int load(void* buffer, int frame_number);

    // return class name
    virtual char* whoami();
	

protected:
    void* _ao;
    void* _audio;

    // operation vars
    int _dv_type;
    void* _raw_video;
    void* _raw_audio;
    
    void* _audio_chunk_index;
    int _audio_chunk_i;
    int _video_chunk_i;
};



#endif	// _FRAMES_SOURCE_AVI_H
