#ifndef schd_h
#define schd_h

#include <sys/time.h>

struct schd_event_item
{
    char title[256];
    char id[20];
    unsigned long tc;
    unsigned long dur;
};

struct schd_block_item
{
    // block description
    char title[256];
    struct timeval planned_from;
    struct timeval planned_to;
    double duration;
    long sys_id;
    
    // events
    long events_count;
    struct schd_event_item* events;
};

#define STRF_DATETIME "%Y-%m-%d %H:%M:%S"

int start_schd(struct instance_item* instance);
int stop_schd(struct instance_item* instance);
void blacklist_blocks_add(long sys_id);
long blacklist_blocks_present(long sys_id);


#endif
